<?php

namespace FIGTUVendor\WPDesk\Composer\Codeception;

use FIGTUVendor\WPDesk\Composer\Codeception\Commands\CreateCodeceptionTests;
use FIGTUVendor\WPDesk\Composer\Codeception\Commands\PrepareCodeceptionDb;
use FIGTUVendor\WPDesk\Composer\Codeception\Commands\PrepareLocalCodeceptionTests;
use FIGTUVendor\WPDesk\Composer\Codeception\Commands\PrepareParallelCodeceptionTests;
use FIGTUVendor\WPDesk\Composer\Codeception\Commands\PrepareWordpressForCodeception;
use FIGTUVendor\WPDesk\Composer\Codeception\Commands\RunCodeceptionTests;
use FIGTUVendor\WPDesk\Composer\Codeception\Commands\RunLocalCodeceptionTests;
/**
 * Links plugin commands handlers to composer.
 */
class CommandProvider implements \FIGTUVendor\Composer\Plugin\Capability\CommandProvider
{
    public function getCommands()
    {
        return [new \FIGTUVendor\WPDesk\Composer\Codeception\Commands\CreateCodeceptionTests(), new \FIGTUVendor\WPDesk\Composer\Codeception\Commands\RunCodeceptionTests(), new \FIGTUVendor\WPDesk\Composer\Codeception\Commands\RunLocalCodeceptionTests(), new \FIGTUVendor\WPDesk\Composer\Codeception\Commands\PrepareCodeceptionDb(), new \FIGTUVendor\WPDesk\Composer\Codeception\Commands\PrepareWordpressForCodeception(), new \FIGTUVendor\WPDesk\Composer\Codeception\Commands\PrepareLocalCodeceptionTests(), new \FIGTUVendor\WPDesk\Composer\Codeception\Commands\PrepareParallelCodeceptionTests()];
    }
}
