<?php

namespace FIGTUVendor\WPDesk\Composer\Codeception;

use FIGTUVendor\Composer\Composer;
use FIGTUVendor\Composer\IO\IOInterface;
use FIGTUVendor\Composer\Plugin\Capable;
use FIGTUVendor\Composer\Plugin\PluginInterface;
/**
 * Composer plugin.
 *
 * @package WPDesk\Composer\Codeception
 */
class Plugin implements \FIGTUVendor\Composer\Plugin\PluginInterface, \FIGTUVendor\Composer\Plugin\Capable
{
    /**
     * @var Composer
     */
    private $composer;
    /**
     * @var IOInterface
     */
    private $io;
    public function activate(\FIGTUVendor\Composer\Composer $composer, \FIGTUVendor\Composer\IO\IOInterface $io)
    {
        $this->composer = $composer;
        $this->io = $io;
    }
    /**
     * @inheritDoc
     */
    public function deactivate(\FIGTUVendor\Composer\Composer $composer, \FIGTUVendor\Composer\IO\IOInterface $io)
    {
        $this->composer = $composer;
        $this->io = $io;
    }
    /**
     * @inheritDoc
     */
    public function uninstall(\FIGTUVendor\Composer\Composer $composer, \FIGTUVendor\Composer\IO\IOInterface $io)
    {
        $this->composer = $composer;
        $this->io = $io;
    }
    public function getCapabilities()
    {
        return [\FIGTUVendor\Composer\Plugin\Capability\CommandProvider::class => \FIGTUVendor\WPDesk\Composer\Codeception\CommandProvider::class];
    }
}
